# Source code for azure.mgmt.logic.models.content_link

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ContentLink(Model):
        """ContentLink.

        :param uri: The content link URI.
        :type uri: str
        :param content_version: The content version.
        :type content_version: str
        :param content_size: The content size.
        :type content_size: long
        :param content_hash: The content hash.
        :type content_hash: :class:`ContentHash
         <azure.mgmt.logic.models.ContentHash>`
        :param metadata: The metadata.
        :type metadata: object
        """

        _attribute_map = {
            'uri': {'key': 'uri', 'type': 'str'},
            'content_version': {'key': 'contentVersion', 'type': 'str'},
            'content_size': {'key': 'contentSize', 'type': 'long'},
            'content_hash': {'key': 'contentHash', 'type': 'ContentHash'},
            'metadata': {'key': 'metadata', 'type': 'object'},
        }

        def __init__(self, uri=None, content_version=None, content_size=None, content_hash=None, metadata=None):
            self.uri = uri
            self.content_version = content_version
            self.content_size = content_size
            self.content_hash = content_hash
            self.metadata = metadata